// generated from rosidl_generator_c/resource/idl__struct.h.em
// with input from nao_sensor_msgs:msg/Accelerometer.idl
// generated code does not contain a copyright notice

#ifndef NAO_SENSOR_MSGS__MSG__DETAIL__ACCELEROMETER__STRUCT_H_
#define NAO_SENSOR_MSGS__MSG__DETAIL__ACCELEROMETER__STRUCT_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>


// Constants defined in the message

/// Struct defined in msg/Accelerometer in the package nao_sensor_msgs.
/**
  * Holds Accelerometer information for a NAO V6
  * Units are in m/s^2
  * Follows conventions here: http://doc.aldebaran.com/2-1/family/robots/inertial_robot.html
  * Note that gravity is measured by an accelerometer.
  * When standing, the robot will measure 9.8m/s^2 POSITIVE in the z-direction, since its 
  * receiving an acceleration upwards from the floor when compared to a freefall state.
 */
typedef struct nao_sensor_msgs__msg__Accelerometer
{
  /// x is moving forwards / backwards (from robots perspective)
  /// - Forwards is positive
  /// - Backwards is negative
  float x;
  /// y is moving left / right (from robot's perspective)
  /// - Left is positive
  /// - Right is negative
  float y;
  /// z is moving up / down
  /// - Standing straight is negative
  /// - Upside down is positive
  float z;
} nao_sensor_msgs__msg__Accelerometer;

// Struct for a sequence of nao_sensor_msgs__msg__Accelerometer.
typedef struct nao_sensor_msgs__msg__Accelerometer__Sequence
{
  nao_sensor_msgs__msg__Accelerometer * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} nao_sensor_msgs__msg__Accelerometer__Sequence;

#ifdef __cplusplus
}
#endif

#endif  // NAO_SENSOR_MSGS__MSG__DETAIL__ACCELEROMETER__STRUCT_H_
