// generated from rosidl_generator_c/resource/idl__struct.h.em
// with input from nao_sensor_msgs:msg/Gyroscope.idl
// generated code does not contain a copyright notice

#ifndef NAO_SENSOR_MSGS__MSG__DETAIL__GYROSCOPE__STRUCT_H_
#define NAO_SENSOR_MSGS__MSG__DETAIL__GYROSCOPE__STRUCT_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>


// Constants defined in the message

/// Struct defined in msg/Gyroscope in the package nao_sensor_msgs.
/**
  * Holds Gyroscope information for a NAO V6
  * Units are in rad/s
  * Follows conventions here: http://doc.aldebaran.com/2-1/family/robots/inertial_robot.html
 */
typedef struct nao_sensor_msgs__msg__Gyroscope
{
  /// x is rotating right / left vertically (from robots perspective)
  /// - Falling right (from robot's perspective) is positive
  /// - Falling left (from robot's perspective) is negative
  float x;
  /// y is rotating over toes and heels
  /// - Rotating over toes is positive
  /// - Rotating over heels is negative
  float y;
  /// NOTE: This is flipped on the V5, and because of that all of gyroscopez may be inverted in a lot of codebases.
  /// z is rotating left / right horizontally (from robot's perspective)
  /// - Turning to the left is positive
  /// - Turning to the right is negative
  float z;
} nao_sensor_msgs__msg__Gyroscope;

// Struct for a sequence of nao_sensor_msgs__msg__Gyroscope.
typedef struct nao_sensor_msgs__msg__Gyroscope__Sequence
{
  nao_sensor_msgs__msg__Gyroscope * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} nao_sensor_msgs__msg__Gyroscope__Sequence;

#ifdef __cplusplus
}
#endif

#endif  // NAO_SENSOR_MSGS__MSG__DETAIL__GYROSCOPE__STRUCT_H_
